import { createAggregatedClient } from "@smithy/smithy-client";
import { AddListenerCertificatesCommand, } from "./commands/AddListenerCertificatesCommand";
import { AddTagsCommand } from "./commands/AddTagsCommand";
import { AddTrustStoreRevocationsCommand, } from "./commands/AddTrustStoreRevocationsCommand";
import { CreateListenerCommand, } from "./commands/CreateListenerCommand";
import { CreateLoadBalancerCommand, } from "./commands/CreateLoadBalancerCommand";
import { CreateRuleCommand } from "./commands/CreateRuleCommand";
import { CreateTargetGroupCommand, } from "./commands/CreateTargetGroupCommand";
import { CreateTrustStoreCommand, } from "./commands/CreateTrustStoreCommand";
import { DeleteListenerCommand, } from "./commands/DeleteListenerCommand";
import { DeleteLoadBalancerCommand, } from "./commands/DeleteLoadBalancerCommand";
import { DeleteRuleCommand } from "./commands/DeleteRuleCommand";
import { DeleteSharedTrustStoreAssociationCommand, } from "./commands/DeleteSharedTrustStoreAssociationCommand";
import { DeleteTargetGroupCommand, } from "./commands/DeleteTargetGroupCommand";
import { DeleteTrustStoreCommand, } from "./commands/DeleteTrustStoreCommand";
import { DeregisterTargetsCommand, } from "./commands/DeregisterTargetsCommand";
import { DescribeAccountLimitsCommand, } from "./commands/DescribeAccountLimitsCommand";
import { DescribeCapacityReservationCommand, } from "./commands/DescribeCapacityReservationCommand";
import { DescribeListenerAttributesCommand, } from "./commands/DescribeListenerAttributesCommand";
import { DescribeListenerCertificatesCommand, } from "./commands/DescribeListenerCertificatesCommand";
import { DescribeListenersCommand, } from "./commands/DescribeListenersCommand";
import { DescribeLoadBalancerAttributesCommand, } from "./commands/DescribeLoadBalancerAttributesCommand";
import { DescribeLoadBalancersCommand, } from "./commands/DescribeLoadBalancersCommand";
import { DescribeRulesCommand, } from "./commands/DescribeRulesCommand";
import { DescribeSSLPoliciesCommand, } from "./commands/DescribeSSLPoliciesCommand";
import { DescribeTagsCommand, } from "./commands/DescribeTagsCommand";
import { DescribeTargetGroupAttributesCommand, } from "./commands/DescribeTargetGroupAttributesCommand";
import { DescribeTargetGroupsCommand, } from "./commands/DescribeTargetGroupsCommand";
import { DescribeTargetHealthCommand, } from "./commands/DescribeTargetHealthCommand";
import { DescribeTrustStoreAssociationsCommand, } from "./commands/DescribeTrustStoreAssociationsCommand";
import { DescribeTrustStoreRevocationsCommand, } from "./commands/DescribeTrustStoreRevocationsCommand";
import { DescribeTrustStoresCommand, } from "./commands/DescribeTrustStoresCommand";
import { GetResourcePolicyCommand, } from "./commands/GetResourcePolicyCommand";
import { GetTrustStoreCaCertificatesBundleCommand, } from "./commands/GetTrustStoreCaCertificatesBundleCommand";
import { GetTrustStoreRevocationContentCommand, } from "./commands/GetTrustStoreRevocationContentCommand";
import { ModifyCapacityReservationCommand, } from "./commands/ModifyCapacityReservationCommand";
import { ModifyIpPoolsCommand, } from "./commands/ModifyIpPoolsCommand";
import { ModifyListenerAttributesCommand, } from "./commands/ModifyListenerAttributesCommand";
import { ModifyListenerCommand, } from "./commands/ModifyListenerCommand";
import { ModifyLoadBalancerAttributesCommand, } from "./commands/ModifyLoadBalancerAttributesCommand";
import { ModifyRuleCommand } from "./commands/ModifyRuleCommand";
import { ModifyTargetGroupAttributesCommand, } from "./commands/ModifyTargetGroupAttributesCommand";
import { ModifyTargetGroupCommand, } from "./commands/ModifyTargetGroupCommand";
import { ModifyTrustStoreCommand, } from "./commands/ModifyTrustStoreCommand";
import { RegisterTargetsCommand, } from "./commands/RegisterTargetsCommand";
import { RemoveListenerCertificatesCommand, } from "./commands/RemoveListenerCertificatesCommand";
import { RemoveTagsCommand } from "./commands/RemoveTagsCommand";
import { RemoveTrustStoreRevocationsCommand, } from "./commands/RemoveTrustStoreRevocationsCommand";
import { SetIpAddressTypeCommand, } from "./commands/SetIpAddressTypeCommand";
import { SetRulePrioritiesCommand, } from "./commands/SetRulePrioritiesCommand";
import { SetSecurityGroupsCommand, } from "./commands/SetSecurityGroupsCommand";
import { SetSubnetsCommand } from "./commands/SetSubnetsCommand";
import { ElasticLoadBalancingV2Client } from "./ElasticLoadBalancingV2Client";
const commands = {
    AddListenerCertificatesCommand,
    AddTagsCommand,
    AddTrustStoreRevocationsCommand,
    CreateListenerCommand,
    CreateLoadBalancerCommand,
    CreateRuleCommand,
    CreateTargetGroupCommand,
    CreateTrustStoreCommand,
    DeleteListenerCommand,
    DeleteLoadBalancerCommand,
    DeleteRuleCommand,
    DeleteSharedTrustStoreAssociationCommand,
    DeleteTargetGroupCommand,
    DeleteTrustStoreCommand,
    DeregisterTargetsCommand,
    DescribeAccountLimitsCommand,
    DescribeCapacityReservationCommand,
    DescribeListenerAttributesCommand,
    DescribeListenerCertificatesCommand,
    DescribeListenersCommand,
    DescribeLoadBalancerAttributesCommand,
    DescribeLoadBalancersCommand,
    DescribeRulesCommand,
    DescribeSSLPoliciesCommand,
    DescribeTagsCommand,
    DescribeTargetGroupAttributesCommand,
    DescribeTargetGroupsCommand,
    DescribeTargetHealthCommand,
    DescribeTrustStoreAssociationsCommand,
    DescribeTrustStoreRevocationsCommand,
    DescribeTrustStoresCommand,
    GetResourcePolicyCommand,
    GetTrustStoreCaCertificatesBundleCommand,
    GetTrustStoreRevocationContentCommand,
    ModifyCapacityReservationCommand,
    ModifyIpPoolsCommand,
    ModifyListenerCommand,
    ModifyListenerAttributesCommand,
    ModifyLoadBalancerAttributesCommand,
    ModifyRuleCommand,
    ModifyTargetGroupCommand,
    ModifyTargetGroupAttributesCommand,
    ModifyTrustStoreCommand,
    RegisterTargetsCommand,
    RemoveListenerCertificatesCommand,
    RemoveTagsCommand,
    RemoveTrustStoreRevocationsCommand,
    SetIpAddressTypeCommand,
    SetRulePrioritiesCommand,
    SetSecurityGroupsCommand,
    SetSubnetsCommand,
};
export class ElasticLoadBalancingV2 extends ElasticLoadBalancingV2Client {
}
createAggregatedClient(commands, ElasticLoadBalancingV2);
