import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_DescribeListenerCertificatesCommand, se_DescribeListenerCertificatesCommand } from "../protocols/Aws_query";
export { $Command };
export class DescribeListenerCertificatesCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("ElasticLoadBalancing_v10", "DescribeListenerCertificates", {})
    .n("ElasticLoadBalancingV2Client", "DescribeListenerCertificatesCommand")
    .f(void 0, void 0)
    .ser(se_DescribeListenerCertificatesCommand)
    .de(de_DescribeListenerCertificatesCommand)
    .build() {
}
