import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_RegisterTargetsCommand, se_RegisterTargetsCommand } from "../protocols/Aws_query";
export { $Command };
export class RegisterTargetsCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("ElasticLoadBalancing_v10", "RegisterTargets", {})
    .n("ElasticLoadBalancingV2Client", "RegisterTargetsCommand")
    .f(void 0, void 0)
    .ser(se_RegisterTargetsCommand)
    .de(de_RegisterTargetsCommand)
    .build() {
}
