import { ElasticLoadBalancingV2ServiceException as __BaseException } from "./ElasticLoadBalancingV2ServiceException";
export const AuthenticateCognitoActionConditionalBehaviorEnum = {
    ALLOW: "allow",
    AUTHENTICATE: "authenticate",
    DENY: "deny",
};
export const AuthenticateOidcActionConditionalBehaviorEnum = {
    ALLOW: "allow",
    AUTHENTICATE: "authenticate",
    DENY: "deny",
};
export const RedirectActionStatusCodeEnum = {
    HTTP_301: "HTTP_301",
    HTTP_302: "HTTP_302",
};
export const ActionTypeEnum = {
    AUTHENTICATE_COGNITO: "authenticate-cognito",
    AUTHENTICATE_OIDC: "authenticate-oidc",
    FIXED_RESPONSE: "fixed-response",
    FORWARD: "forward",
    REDIRECT: "redirect",
};
export class CertificateNotFoundException extends __BaseException {
    name = "CertificateNotFoundException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "CertificateNotFoundException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, CertificateNotFoundException.prototype);
        this.Message = opts.Message;
    }
}
export class ListenerNotFoundException extends __BaseException {
    name = "ListenerNotFoundException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "ListenerNotFoundException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, ListenerNotFoundException.prototype);
        this.Message = opts.Message;
    }
}
export class TooManyCertificatesException extends __BaseException {
    name = "TooManyCertificatesException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "TooManyCertificatesException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, TooManyCertificatesException.prototype);
        this.Message = opts.Message;
    }
}
export class DuplicateTagKeysException extends __BaseException {
    name = "DuplicateTagKeysException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "DuplicateTagKeysException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, DuplicateTagKeysException.prototype);
        this.Message = opts.Message;
    }
}
export class LoadBalancerNotFoundException extends __BaseException {
    name = "LoadBalancerNotFoundException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "LoadBalancerNotFoundException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, LoadBalancerNotFoundException.prototype);
        this.Message = opts.Message;
    }
}
export class RuleNotFoundException extends __BaseException {
    name = "RuleNotFoundException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "RuleNotFoundException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, RuleNotFoundException.prototype);
        this.Message = opts.Message;
    }
}
export class TargetGroupNotFoundException extends __BaseException {
    name = "TargetGroupNotFoundException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "TargetGroupNotFoundException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, TargetGroupNotFoundException.prototype);
        this.Message = opts.Message;
    }
}
export class TooManyTagsException extends __BaseException {
    name = "TooManyTagsException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "TooManyTagsException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, TooManyTagsException.prototype);
        this.Message = opts.Message;
    }
}
export class TrustStoreNotFoundException extends __BaseException {
    name = "TrustStoreNotFoundException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "TrustStoreNotFoundException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, TrustStoreNotFoundException.prototype);
        this.Message = opts.Message;
    }
}
export const RevocationType = {
    CRL: "CRL",
};
export class InvalidRevocationContentException extends __BaseException {
    name = "InvalidRevocationContentException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "InvalidRevocationContentException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, InvalidRevocationContentException.prototype);
        this.Message = opts.Message;
    }
}
export class RevocationContentNotFoundException extends __BaseException {
    name = "RevocationContentNotFoundException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "RevocationContentNotFoundException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, RevocationContentNotFoundException.prototype);
        this.Message = opts.Message;
    }
}
export class TooManyTrustStoreRevocationEntriesException extends __BaseException {
    name = "TooManyTrustStoreRevocationEntriesException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "TooManyTrustStoreRevocationEntriesException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, TooManyTrustStoreRevocationEntriesException.prototype);
        this.Message = opts.Message;
    }
}
export const TargetAdministrativeOverrideReasonEnum = {
    INTERNAL_ERROR: "AdministrativeOverride.Unknown",
    NO_OVERRIDE_ENGAGED: "AdministrativeOverride.NoOverride",
    ZONAL_SHIFT_DELEGATED_TO_DNS: "AdministrativeOverride.ZonalShiftDelegatedToDns",
    ZONAL_SHIFT_ENGAGED: "AdministrativeOverride.ZonalShiftActive",
};
export const TargetAdministrativeOverrideStateEnum = {
    NO_OVERRIDE: "no_override",
    UNKNOWN: "unknown",
    ZONAL_SHIFT_ACTIVE: "zonal_shift_active",
    ZONAL_SHIFT_DELEGATED_TO_DNS: "zonal_shift_delegated_to_dns",
};
export const AdvertiseTrustStoreCaNamesEnum = {
    off: "off",
    on: "on",
};
export class AllocationIdNotFoundException extends __BaseException {
    name = "AllocationIdNotFoundException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "AllocationIdNotFoundException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, AllocationIdNotFoundException.prototype);
        this.Message = opts.Message;
    }
}
export class ALPNPolicyNotSupportedException extends __BaseException {
    name = "ALPNPolicyNotSupportedException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "ALPNPolicyNotSupportedException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, ALPNPolicyNotSupportedException.prototype);
        this.Message = opts.Message;
    }
}
export const MitigationInEffectEnum = {
    NO: "no",
    YES: "yes",
};
export const AnomalyResultEnum = {
    ANOMALOUS: "anomalous",
    NORMAL: "normal",
};
export class AvailabilityZoneNotSupportedException extends __BaseException {
    name = "AvailabilityZoneNotSupportedException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "AvailabilityZoneNotSupportedException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, AvailabilityZoneNotSupportedException.prototype);
        this.Message = opts.Message;
    }
}
export class CaCertificatesBundleNotFoundException extends __BaseException {
    name = "CaCertificatesBundleNotFoundException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "CaCertificatesBundleNotFoundException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, CaCertificatesBundleNotFoundException.prototype);
        this.Message = opts.Message;
    }
}
export class CapacityDecreaseRequestsLimitExceededException extends __BaseException {
    name = "CapacityDecreaseRequestsLimitExceededException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "CapacityDecreaseRequestsLimitExceededException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, CapacityDecreaseRequestsLimitExceededException.prototype);
        this.Message = opts.Message;
    }
}
export class CapacityReservationPendingException extends __BaseException {
    name = "CapacityReservationPendingException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "CapacityReservationPendingException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, CapacityReservationPendingException.prototype);
        this.Message = opts.Message;
    }
}
export const CapacityReservationStateEnum = {
    FAILED: "failed",
    PENDING: "pending",
    PROVISIONED: "provisioned",
    REBALANCING: "rebalancing",
};
export class CapacityUnitsLimitExceededException extends __BaseException {
    name = "CapacityUnitsLimitExceededException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "CapacityUnitsLimitExceededException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, CapacityUnitsLimitExceededException.prototype);
        this.Message = opts.Message;
    }
}
export const TrustStoreAssociationStatusEnum = {
    ACTIVE: "active",
    REMOVED: "removed",
};
export const ProtocolEnum = {
    GENEVE: "GENEVE",
    HTTP: "HTTP",
    HTTPS: "HTTPS",
    TCP: "TCP",
    TCP_UDP: "TCP_UDP",
    TLS: "TLS",
    UDP: "UDP",
};
export class DuplicateListenerException extends __BaseException {
    name = "DuplicateListenerException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "DuplicateListenerException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, DuplicateListenerException.prototype);
        this.Message = opts.Message;
    }
}
export class IncompatibleProtocolsException extends __BaseException {
    name = "IncompatibleProtocolsException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "IncompatibleProtocolsException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, IncompatibleProtocolsException.prototype);
        this.Message = opts.Message;
    }
}
export class InvalidConfigurationRequestException extends __BaseException {
    name = "InvalidConfigurationRequestException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "InvalidConfigurationRequestException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, InvalidConfigurationRequestException.prototype);
        this.Message = opts.Message;
    }
}
export class InvalidLoadBalancerActionException extends __BaseException {
    name = "InvalidLoadBalancerActionException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "InvalidLoadBalancerActionException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, InvalidLoadBalancerActionException.prototype);
        this.Message = opts.Message;
    }
}
export class SSLPolicyNotFoundException extends __BaseException {
    name = "SSLPolicyNotFoundException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "SSLPolicyNotFoundException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, SSLPolicyNotFoundException.prototype);
        this.Message = opts.Message;
    }
}
export class TargetGroupAssociationLimitException extends __BaseException {
    name = "TargetGroupAssociationLimitException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "TargetGroupAssociationLimitException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, TargetGroupAssociationLimitException.prototype);
        this.Message = opts.Message;
    }
}
export class TooManyActionsException extends __BaseException {
    name = "TooManyActionsException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "TooManyActionsException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, TooManyActionsException.prototype);
        this.Message = opts.Message;
    }
}
export class TooManyListenersException extends __BaseException {
    name = "TooManyListenersException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "TooManyListenersException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, TooManyListenersException.prototype);
        this.Message = opts.Message;
    }
}
export class TooManyRegistrationsForTargetIdException extends __BaseException {
    name = "TooManyRegistrationsForTargetIdException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "TooManyRegistrationsForTargetIdException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, TooManyRegistrationsForTargetIdException.prototype);
        this.Message = opts.Message;
    }
}
export class TooManyTargetsException extends __BaseException {
    name = "TooManyTargetsException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "TooManyTargetsException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, TooManyTargetsException.prototype);
        this.Message = opts.Message;
    }
}
export class TooManyUniqueTargetGroupsPerLoadBalancerException extends __BaseException {
    name = "TooManyUniqueTargetGroupsPerLoadBalancerException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "TooManyUniqueTargetGroupsPerLoadBalancerException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, TooManyUniqueTargetGroupsPerLoadBalancerException.prototype);
        this.Message = opts.Message;
    }
}
export class TrustStoreNotReadyException extends __BaseException {
    name = "TrustStoreNotReadyException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "TrustStoreNotReadyException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, TrustStoreNotReadyException.prototype);
        this.Message = opts.Message;
    }
}
export class UnsupportedProtocolException extends __BaseException {
    name = "UnsupportedProtocolException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "UnsupportedProtocolException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, UnsupportedProtocolException.prototype);
        this.Message = opts.Message;
    }
}
export const EnablePrefixForIpv6SourceNatEnum = {
    OFF: "off",
    ON: "on",
};
export const IpAddressType = {
    DUALSTACK: "dualstack",
    DUALSTACK_WITHOUT_PUBLIC_IPV4: "dualstack-without-public-ipv4",
    IPV4: "ipv4",
};
export const LoadBalancerSchemeEnum = {
    INTERNAL: "internal",
    INTERNET_FACING: "internet-facing",
};
export const LoadBalancerTypeEnum = {
    APPLICATION: "application",
    GATEWAY: "gateway",
    NETWORK: "network",
};
export const LoadBalancerStateEnum = {
    ACTIVE: "active",
    ACTIVE_IMPAIRED: "active_impaired",
    FAILED: "failed",
    PROVISIONING: "provisioning",
};
export class DuplicateLoadBalancerNameException extends __BaseException {
    name = "DuplicateLoadBalancerNameException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "DuplicateLoadBalancerNameException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, DuplicateLoadBalancerNameException.prototype);
        this.Message = opts.Message;
    }
}
export class InvalidSchemeException extends __BaseException {
    name = "InvalidSchemeException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "InvalidSchemeException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, InvalidSchemeException.prototype);
        this.Message = opts.Message;
    }
}
export class InvalidSecurityGroupException extends __BaseException {
    name = "InvalidSecurityGroupException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "InvalidSecurityGroupException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, InvalidSecurityGroupException.prototype);
        this.Message = opts.Message;
    }
}
export class InvalidSubnetException extends __BaseException {
    name = "InvalidSubnetException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "InvalidSubnetException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, InvalidSubnetException.prototype);
        this.Message = opts.Message;
    }
}
export class OperationNotPermittedException extends __BaseException {
    name = "OperationNotPermittedException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "OperationNotPermittedException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, OperationNotPermittedException.prototype);
        this.Message = opts.Message;
    }
}
export class ResourceInUseException extends __BaseException {
    name = "ResourceInUseException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "ResourceInUseException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, ResourceInUseException.prototype);
        this.Message = opts.Message;
    }
}
export class SubnetNotFoundException extends __BaseException {
    name = "SubnetNotFoundException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "SubnetNotFoundException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, SubnetNotFoundException.prototype);
        this.Message = opts.Message;
    }
}
export class TooManyLoadBalancersException extends __BaseException {
    name = "TooManyLoadBalancersException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "TooManyLoadBalancersException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, TooManyLoadBalancersException.prototype);
        this.Message = opts.Message;
    }
}
export class PriorityInUseException extends __BaseException {
    name = "PriorityInUseException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "PriorityInUseException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, PriorityInUseException.prototype);
        this.Message = opts.Message;
    }
}
export class TooManyRulesException extends __BaseException {
    name = "TooManyRulesException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "TooManyRulesException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, TooManyRulesException.prototype);
        this.Message = opts.Message;
    }
}
export class TooManyTargetGroupsException extends __BaseException {
    name = "TooManyTargetGroupsException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "TooManyTargetGroupsException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, TooManyTargetGroupsException.prototype);
        this.Message = opts.Message;
    }
}
export const TargetGroupIpAddressTypeEnum = {
    IPV4: "ipv4",
    IPV6: "ipv6",
};
export const TargetTypeEnum = {
    ALB: "alb",
    INSTANCE: "instance",
    IP: "ip",
    LAMBDA: "lambda",
};
export class DuplicateTargetGroupNameException extends __BaseException {
    name = "DuplicateTargetGroupNameException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "DuplicateTargetGroupNameException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, DuplicateTargetGroupNameException.prototype);
        this.Message = opts.Message;
    }
}
export const TrustStoreStatus = {
    ACTIVE: "ACTIVE",
    CREATING: "CREATING",
};
export class DuplicateTrustStoreNameException extends __BaseException {
    name = "DuplicateTrustStoreNameException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "DuplicateTrustStoreNameException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, DuplicateTrustStoreNameException.prototype);
        this.Message = opts.Message;
    }
}
export class InvalidCaCertificatesBundleException extends __BaseException {
    name = "InvalidCaCertificatesBundleException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "InvalidCaCertificatesBundleException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, InvalidCaCertificatesBundleException.prototype);
        this.Message = opts.Message;
    }
}
export class TooManyTrustStoresException extends __BaseException {
    name = "TooManyTrustStoresException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "TooManyTrustStoresException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, TooManyTrustStoresException.prototype);
        this.Message = opts.Message;
    }
}
export class DeleteAssociationSameAccountException extends __BaseException {
    name = "DeleteAssociationSameAccountException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "DeleteAssociationSameAccountException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, DeleteAssociationSameAccountException.prototype);
        this.Message = opts.Message;
    }
}
export class TrustStoreAssociationNotFoundException extends __BaseException {
    name = "TrustStoreAssociationNotFoundException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "TrustStoreAssociationNotFoundException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, TrustStoreAssociationNotFoundException.prototype);
        this.Message = opts.Message;
    }
}
export class TrustStoreInUseException extends __BaseException {
    name = "TrustStoreInUseException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "TrustStoreInUseException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, TrustStoreInUseException.prototype);
        this.Message = opts.Message;
    }
}
export class InvalidTargetException extends __BaseException {
    name = "InvalidTargetException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "InvalidTargetException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, InvalidTargetException.prototype);
        this.Message = opts.Message;
    }
}
export const DescribeTargetHealthInputIncludeEnum = {
    ALL: "All",
    ANOMALY: "AnomalyDetection",
};
export const TargetHealthReasonEnum = {
    DEREGISTRATION_IN_PROGRESS: "Target.DeregistrationInProgress",
    FAILED_HEALTH_CHECKS: "Target.FailedHealthChecks",
    HEALTH_CHECK_DISABLED: "Target.HealthCheckDisabled",
    INITIAL_HEALTH_CHECKING: "Elb.InitialHealthChecking",
    INTERNAL_ERROR: "Elb.InternalError",
    INVALID_STATE: "Target.InvalidState",
    IP_UNUSABLE: "Target.IpUnusable",
    NOT_IN_USE: "Target.NotInUse",
    NOT_REGISTERED: "Target.NotRegistered",
    REGISTRATION_IN_PROGRESS: "Elb.RegistrationInProgress",
    RESPONSE_CODE_MISMATCH: "Target.ResponseCodeMismatch",
    TIMEOUT: "Target.Timeout",
};
export const TargetHealthStateEnum = {
    DRAINING: "draining",
    HEALTHY: "healthy",
    INITIAL: "initial",
    UNAVAILABLE: "unavailable",
    UNHEALTHY: "unhealthy",
    UNHEALTHY_DRAINING: "unhealthy.draining",
    UNUSED: "unused",
};
export class HealthUnavailableException extends __BaseException {
    name = "HealthUnavailableException";
    $fault = "server";
    Message;
    constructor(opts) {
        super({
            name: "HealthUnavailableException",
            $fault: "server",
            ...opts,
        });
        Object.setPrototypeOf(this, HealthUnavailableException.prototype);
        this.Message = opts.Message;
    }
}
export class RevocationIdNotFoundException extends __BaseException {
    name = "RevocationIdNotFoundException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "RevocationIdNotFoundException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, RevocationIdNotFoundException.prototype);
        this.Message = opts.Message;
    }
}
export class ResourceNotFoundException extends __BaseException {
    name = "ResourceNotFoundException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "ResourceNotFoundException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, ResourceNotFoundException.prototype);
        this.Message = opts.Message;
    }
}
export class InsufficientCapacityException extends __BaseException {
    name = "InsufficientCapacityException";
    $fault = "server";
    Message;
    constructor(opts) {
        super({
            name: "InsufficientCapacityException",
            $fault: "server",
            ...opts,
        });
        Object.setPrototypeOf(this, InsufficientCapacityException.prototype);
        this.Message = opts.Message;
    }
}
export class PriorRequestNotCompleteException extends __BaseException {
    name = "PriorRequestNotCompleteException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "PriorRequestNotCompleteException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, PriorRequestNotCompleteException.prototype);
        this.Message = opts.Message;
    }
}
export const RemoveIpamPoolEnum = {
    ipv4: "ipv4",
};
export const EnforceSecurityGroupInboundRulesOnPrivateLinkTrafficEnum = {
    off: "off",
    on: "on",
};
