import { HostHeaderInputConfig, HostHeaderResolvedConfig } from "@aws-sdk/middleware-host-header";
import { UserAgentInputConfig, UserAgentResolvedConfig } from "@aws-sdk/middleware-user-agent";
import { RegionInputConfig, RegionResolvedConfig } from "@smithy/config-resolver";
import { EndpointInputConfig, EndpointResolvedConfig } from "@smithy/middleware-endpoint";
import { RetryInputConfig, RetryResolvedConfig } from "@smithy/middleware-retry";
import { HttpHandlerUserInput as __HttpHandlerUserInput } from "@smithy/protocol-http";
import { Client as __Client, DefaultsMode as __DefaultsMode, SmithyConfiguration as __SmithyConfiguration, SmithyResolvedConfiguration as __SmithyResolvedConfiguration } from "@smithy/smithy-client";
import { AwsCredentialIdentityProvider, BodyLengthCalculator as __BodyLengthCalculator, CheckOptionalClientConfig as __CheckOptionalClientConfig, ChecksumConstructor as __ChecksumConstructor, Decoder as __Decoder, Encoder as __Encoder, HashConstructor as __HashConstructor, HttpHandlerOptions as __HttpHandlerOptions, Logger as __Logger, Provider as __Provider, Provider, StreamCollector as __StreamCollector, UrlParser as __UrlParser, UserAgent as __UserAgent } from "@smithy/types";
import { HttpAuthSchemeInputConfig, HttpAuthSchemeResolvedConfig } from "./auth/httpAuthSchemeProvider";
import { AddListenerCertificatesCommandInput, AddListenerCertificatesCommandOutput } from "./commands/AddListenerCertificatesCommand";
import { AddTagsCommandInput, AddTagsCommandOutput } from "./commands/AddTagsCommand";
import { AddTrustStoreRevocationsCommandInput, AddTrustStoreRevocationsCommandOutput } from "./commands/AddTrustStoreRevocationsCommand";
import { CreateListenerCommandInput, CreateListenerCommandOutput } from "./commands/CreateListenerCommand";
import { CreateLoadBalancerCommandInput, CreateLoadBalancerCommandOutput } from "./commands/CreateLoadBalancerCommand";
import { CreateRuleCommandInput, CreateRuleCommandOutput } from "./commands/CreateRuleCommand";
import { CreateTargetGroupCommandInput, CreateTargetGroupCommandOutput } from "./commands/CreateTargetGroupCommand";
import { CreateTrustStoreCommandInput, CreateTrustStoreCommandOutput } from "./commands/CreateTrustStoreCommand";
import { DeleteListenerCommandInput, DeleteListenerCommandOutput } from "./commands/DeleteListenerCommand";
import { DeleteLoadBalancerCommandInput, DeleteLoadBalancerCommandOutput } from "./commands/DeleteLoadBalancerCommand";
import { DeleteRuleCommandInput, DeleteRuleCommandOutput } from "./commands/DeleteRuleCommand";
import { DeleteSharedTrustStoreAssociationCommandInput, DeleteSharedTrustStoreAssociationCommandOutput } from "./commands/DeleteSharedTrustStoreAssociationCommand";
import { DeleteTargetGroupCommandInput, DeleteTargetGroupCommandOutput } from "./commands/DeleteTargetGroupCommand";
import { DeleteTrustStoreCommandInput, DeleteTrustStoreCommandOutput } from "./commands/DeleteTrustStoreCommand";
import { DeregisterTargetsCommandInput, DeregisterTargetsCommandOutput } from "./commands/DeregisterTargetsCommand";
import { DescribeAccountLimitsCommandInput, DescribeAccountLimitsCommandOutput } from "./commands/DescribeAccountLimitsCommand";
import { DescribeCapacityReservationCommandInput, DescribeCapacityReservationCommandOutput } from "./commands/DescribeCapacityReservationCommand";
import { DescribeListenerAttributesCommandInput, DescribeListenerAttributesCommandOutput } from "./commands/DescribeListenerAttributesCommand";
import { DescribeListenerCertificatesCommandInput, DescribeListenerCertificatesCommandOutput } from "./commands/DescribeListenerCertificatesCommand";
import { DescribeListenersCommandInput, DescribeListenersCommandOutput } from "./commands/DescribeListenersCommand";
import { DescribeLoadBalancerAttributesCommandInput, DescribeLoadBalancerAttributesCommandOutput } from "./commands/DescribeLoadBalancerAttributesCommand";
import { DescribeLoadBalancersCommandInput, DescribeLoadBalancersCommandOutput } from "./commands/DescribeLoadBalancersCommand";
import { DescribeRulesCommandInput, DescribeRulesCommandOutput } from "./commands/DescribeRulesCommand";
import { DescribeSSLPoliciesCommandInput, DescribeSSLPoliciesCommandOutput } from "./commands/DescribeSSLPoliciesCommand";
import { DescribeTagsCommandInput, DescribeTagsCommandOutput } from "./commands/DescribeTagsCommand";
import { DescribeTargetGroupAttributesCommandInput, DescribeTargetGroupAttributesCommandOutput } from "./commands/DescribeTargetGroupAttributesCommand";
import { DescribeTargetGroupsCommandInput, DescribeTargetGroupsCommandOutput } from "./commands/DescribeTargetGroupsCommand";
import { DescribeTargetHealthCommandInput, DescribeTargetHealthCommandOutput } from "./commands/DescribeTargetHealthCommand";
import { DescribeTrustStoreAssociationsCommandInput, DescribeTrustStoreAssociationsCommandOutput } from "./commands/DescribeTrustStoreAssociationsCommand";
import { DescribeTrustStoreRevocationsCommandInput, DescribeTrustStoreRevocationsCommandOutput } from "./commands/DescribeTrustStoreRevocationsCommand";
import { DescribeTrustStoresCommandInput, DescribeTrustStoresCommandOutput } from "./commands/DescribeTrustStoresCommand";
import { GetResourcePolicyCommandInput, GetResourcePolicyCommandOutput } from "./commands/GetResourcePolicyCommand";
import { GetTrustStoreCaCertificatesBundleCommandInput, GetTrustStoreCaCertificatesBundleCommandOutput } from "./commands/GetTrustStoreCaCertificatesBundleCommand";
import { GetTrustStoreRevocationContentCommandInput, GetTrustStoreRevocationContentCommandOutput } from "./commands/GetTrustStoreRevocationContentCommand";
import { ModifyCapacityReservationCommandInput, ModifyCapacityReservationCommandOutput } from "./commands/ModifyCapacityReservationCommand";
import { ModifyIpPoolsCommandInput, ModifyIpPoolsCommandOutput } from "./commands/ModifyIpPoolsCommand";
import { ModifyListenerAttributesCommandInput, ModifyListenerAttributesCommandOutput } from "./commands/ModifyListenerAttributesCommand";
import { ModifyListenerCommandInput, ModifyListenerCommandOutput } from "./commands/ModifyListenerCommand";
import { ModifyLoadBalancerAttributesCommandInput, ModifyLoadBalancerAttributesCommandOutput } from "./commands/ModifyLoadBalancerAttributesCommand";
import { ModifyRuleCommandInput, ModifyRuleCommandOutput } from "./commands/ModifyRuleCommand";
import { ModifyTargetGroupAttributesCommandInput, ModifyTargetGroupAttributesCommandOutput } from "./commands/ModifyTargetGroupAttributesCommand";
import { ModifyTargetGroupCommandInput, ModifyTargetGroupCommandOutput } from "./commands/ModifyTargetGroupCommand";
import { ModifyTrustStoreCommandInput, ModifyTrustStoreCommandOutput } from "./commands/ModifyTrustStoreCommand";
import { RegisterTargetsCommandInput, RegisterTargetsCommandOutput } from "./commands/RegisterTargetsCommand";
import { RemoveListenerCertificatesCommandInput, RemoveListenerCertificatesCommandOutput } from "./commands/RemoveListenerCertificatesCommand";
import { RemoveTagsCommandInput, RemoveTagsCommandOutput } from "./commands/RemoveTagsCommand";
import { RemoveTrustStoreRevocationsCommandInput, RemoveTrustStoreRevocationsCommandOutput } from "./commands/RemoveTrustStoreRevocationsCommand";
import { SetIpAddressTypeCommandInput, SetIpAddressTypeCommandOutput } from "./commands/SetIpAddressTypeCommand";
import { SetRulePrioritiesCommandInput, SetRulePrioritiesCommandOutput } from "./commands/SetRulePrioritiesCommand";
import { SetSecurityGroupsCommandInput, SetSecurityGroupsCommandOutput } from "./commands/SetSecurityGroupsCommand";
import { SetSubnetsCommandInput, SetSubnetsCommandOutput } from "./commands/SetSubnetsCommand";
import { ClientInputEndpointParameters, ClientResolvedEndpointParameters, EndpointParameters } from "./endpoint/EndpointParameters";
import { RuntimeExtension, RuntimeExtensionsConfig } from "./runtimeExtensions";
export { __Client };
/**
 * @public
 */
export type ServiceInputTypes = AddListenerCertificatesCommandInput | AddTagsCommandInput | AddTrustStoreRevocationsCommandInput | CreateListenerCommandInput | CreateLoadBalancerCommandInput | CreateRuleCommandInput | CreateTargetGroupCommandInput | CreateTrustStoreCommandInput | DeleteListenerCommandInput | DeleteLoadBalancerCommandInput | DeleteRuleCommandInput | DeleteSharedTrustStoreAssociationCommandInput | DeleteTargetGroupCommandInput | DeleteTrustStoreCommandInput | DeregisterTargetsCommandInput | DescribeAccountLimitsCommandInput | DescribeCapacityReservationCommandInput | DescribeListenerAttributesCommandInput | DescribeListenerCertificatesCommandInput | DescribeListenersCommandInput | DescribeLoadBalancerAttributesCommandInput | DescribeLoadBalancersCommandInput | DescribeRulesCommandInput | DescribeSSLPoliciesCommandInput | DescribeTagsCommandInput | DescribeTargetGroupAttributesCommandInput | DescribeTargetGroupsCommandInput | DescribeTargetHealthCommandInput | DescribeTrustStoreAssociationsCommandInput | DescribeTrustStoreRevocationsCommandInput | DescribeTrustStoresCommandInput | GetResourcePolicyCommandInput | GetTrustStoreCaCertificatesBundleCommandInput | GetTrustStoreRevocationContentCommandInput | ModifyCapacityReservationCommandInput | ModifyIpPoolsCommandInput | ModifyListenerAttributesCommandInput | ModifyListenerCommandInput | ModifyLoadBalancerAttributesCommandInput | ModifyRuleCommandInput | ModifyTargetGroupAttributesCommandInput | ModifyTargetGroupCommandInput | ModifyTrustStoreCommandInput | RegisterTargetsCommandInput | RemoveListenerCertificatesCommandInput | RemoveTagsCommandInput | RemoveTrustStoreRevocationsCommandInput | SetIpAddressTypeCommandInput | SetRulePrioritiesCommandInput | SetSecurityGroupsCommandInput | SetSubnetsCommandInput;
/**
 * @public
 */
export type ServiceOutputTypes = AddListenerCertificatesCommandOutput | AddTagsCommandOutput | AddTrustStoreRevocationsCommandOutput | CreateListenerCommandOutput | CreateLoadBalancerCommandOutput | CreateRuleCommandOutput | CreateTargetGroupCommandOutput | CreateTrustStoreCommandOutput | DeleteListenerCommandOutput | DeleteLoadBalancerCommandOutput | DeleteRuleCommandOutput | DeleteSharedTrustStoreAssociationCommandOutput | DeleteTargetGroupCommandOutput | DeleteTrustStoreCommandOutput | DeregisterTargetsCommandOutput | DescribeAccountLimitsCommandOutput | DescribeCapacityReservationCommandOutput | DescribeListenerAttributesCommandOutput | DescribeListenerCertificatesCommandOutput | DescribeListenersCommandOutput | DescribeLoadBalancerAttributesCommandOutput | DescribeLoadBalancersCommandOutput | DescribeRulesCommandOutput | DescribeSSLPoliciesCommandOutput | DescribeTagsCommandOutput | DescribeTargetGroupAttributesCommandOutput | DescribeTargetGroupsCommandOutput | DescribeTargetHealthCommandOutput | DescribeTrustStoreAssociationsCommandOutput | DescribeTrustStoreRevocationsCommandOutput | DescribeTrustStoresCommandOutput | GetResourcePolicyCommandOutput | GetTrustStoreCaCertificatesBundleCommandOutput | GetTrustStoreRevocationContentCommandOutput | ModifyCapacityReservationCommandOutput | ModifyIpPoolsCommandOutput | ModifyListenerAttributesCommandOutput | ModifyListenerCommandOutput | ModifyLoadBalancerAttributesCommandOutput | ModifyRuleCommandOutput | ModifyTargetGroupAttributesCommandOutput | ModifyTargetGroupCommandOutput | ModifyTrustStoreCommandOutput | RegisterTargetsCommandOutput | RemoveListenerCertificatesCommandOutput | RemoveTagsCommandOutput | RemoveTrustStoreRevocationsCommandOutput | SetIpAddressTypeCommandOutput | SetRulePrioritiesCommandOutput | SetSecurityGroupsCommandOutput | SetSubnetsCommandOutput;
/**
 * @public
 */
export interface ClientDefaults extends Partial<__SmithyConfiguration<__HttpHandlerOptions>> {
    /**
     * The HTTP handler to use or its constructor options. Fetch in browser and Https in Nodejs.
     */
    requestHandler?: __HttpHandlerUserInput;
    /**
     * A constructor for a class implementing the {@link @smithy/types#ChecksumConstructor} interface
     * that computes the SHA-256 HMAC or checksum of a string or binary buffer.
     * @internal
     */
    sha256?: __ChecksumConstructor | __HashConstructor;
    /**
     * The function that will be used to convert strings into HTTP endpoints.
     * @internal
     */
    urlParser?: __UrlParser;
    /**
     * A function that can calculate the length of a request body.
     * @internal
     */
    bodyLengthChecker?: __BodyLengthCalculator;
    /**
     * A function that converts a stream into an array of bytes.
     * @internal
     */
    streamCollector?: __StreamCollector;
    /**
     * The function that will be used to convert a base64-encoded string to a byte array.
     * @internal
     */
    base64Decoder?: __Decoder;
    /**
     * The function that will be used to convert binary data to a base64-encoded string.
     * @internal
     */
    base64Encoder?: __Encoder;
    /**
     * The function that will be used to convert a UTF8-encoded string to a byte array.
     * @internal
     */
    utf8Decoder?: __Decoder;
    /**
     * The function that will be used to convert binary data to a UTF-8 encoded string.
     * @internal
     */
    utf8Encoder?: __Encoder;
    /**
     * The runtime environment.
     * @internal
     */
    runtime?: string;
    /**
     * Disable dynamically changing the endpoint of the client based on the hostPrefix
     * trait of an operation.
     */
    disableHostPrefix?: boolean;
    /**
     * Unique service identifier.
     * @internal
     */
    serviceId?: string;
    /**
     * Enables IPv6/IPv4 dualstack endpoint.
     */
    useDualstackEndpoint?: boolean | __Provider<boolean>;
    /**
     * Enables FIPS compatible endpoints.
     */
    useFipsEndpoint?: boolean | __Provider<boolean>;
    /**
     * The AWS region to which this client will send requests
     */
    region?: string | __Provider<string>;
    /**
     * Setting a client profile is similar to setting a value for the
     * AWS_PROFILE environment variable. Setting a profile on a client
     * in code only affects the single client instance, unlike AWS_PROFILE.
     *
     * When set, and only for environments where an AWS configuration
     * file exists, fields configurable by this file will be retrieved
     * from the specified profile within that file.
     * Conflicting code configuration and environment variables will
     * still have higher priority.
     *
     * For client credential resolution that involves checking the AWS
     * configuration file, the client's profile (this value) will be
     * used unless a different profile is set in the credential
     * provider options.
     *
     */
    profile?: string;
    /**
     * The provider populating default tracking information to be sent with `user-agent`, `x-amz-user-agent` header
     * @internal
     */
    defaultUserAgentProvider?: Provider<__UserAgent>;
    /**
     * Default credentials provider; Not available in browser runtime.
     * @deprecated
     * @internal
     */
    credentialDefaultProvider?: (input: any) => AwsCredentialIdentityProvider;
    /**
     * Value for how many times a request will be made at most in case of retry.
     */
    maxAttempts?: number | __Provider<number>;
    /**
     * Specifies which retry algorithm to use.
     * @see https://docs.aws.amazon.com/AWSJavaScriptSDK/v3/latest/Package/-smithy-util-retry/Enum/RETRY_MODES/
     *
     */
    retryMode?: string | __Provider<string>;
    /**
     * Optional logger for logging debug/info/warn/error.
     */
    logger?: __Logger;
    /**
     * Optional extensions
     */
    extensions?: RuntimeExtension[];
    /**
     * The {@link @smithy/smithy-client#DefaultsMode} that will be used to determine how certain default configuration options are resolved in the SDK.
     */
    defaultsMode?: __DefaultsMode | __Provider<__DefaultsMode>;
}
/**
 * @public
 */
export type ElasticLoadBalancingV2ClientConfigType = Partial<__SmithyConfiguration<__HttpHandlerOptions>> & ClientDefaults & UserAgentInputConfig & RetryInputConfig & RegionInputConfig & HostHeaderInputConfig & EndpointInputConfig<EndpointParameters> & HttpAuthSchemeInputConfig & ClientInputEndpointParameters;
/**
 * @public
 *
 *  The configuration interface of ElasticLoadBalancingV2Client class constructor that set the region, credentials and other options.
 */
export interface ElasticLoadBalancingV2ClientConfig extends ElasticLoadBalancingV2ClientConfigType {
}
/**
 * @public
 */
export type ElasticLoadBalancingV2ClientResolvedConfigType = __SmithyResolvedConfiguration<__HttpHandlerOptions> & Required<ClientDefaults> & RuntimeExtensionsConfig & UserAgentResolvedConfig & RetryResolvedConfig & RegionResolvedConfig & HostHeaderResolvedConfig & EndpointResolvedConfig<EndpointParameters> & HttpAuthSchemeResolvedConfig & ClientResolvedEndpointParameters;
/**
 * @public
 *
 *  The resolved configuration interface of ElasticLoadBalancingV2Client class. This is resolved and normalized from the {@link ElasticLoadBalancingV2ClientConfig | constructor configuration interface}.
 */
export interface ElasticLoadBalancingV2ClientResolvedConfig extends ElasticLoadBalancingV2ClientResolvedConfigType {
}
/**
 * <fullname>Elastic Load Balancing</fullname>
 *          <p>A load balancer distributes incoming traffic across targets, such as your EC2 instances.
 *       This enables you to increase the availability of your application. The load balancer also
 *       monitors the health of its registered targets and ensures that it routes traffic only to
 *       healthy targets. You configure your load balancer to accept incoming traffic by specifying one
 *       or more listeners, which are configured with a protocol and port number for connections from
 *       clients to the load balancer. You configure a target group with a protocol and port number for
 *       connections from the load balancer to the targets, and with health check settings to be used
 *       when checking the health status of the targets.</p>
 *          <p>Elastic Load Balancing supports the following types of load balancers: Application Load
 *       Balancers, Network Load Balancers, Gateway Load Balancers, and Classic Load Balancers. This
 *       reference covers the following load balancer types:</p>
 *          <ul>
 *             <li>
 *                <p>Application Load Balancer - Operates at the application layer (layer 7) and supports
 *           HTTP and HTTPS.</p>
 *             </li>
 *             <li>
 *                <p>Network Load Balancer - Operates at the transport layer (layer 4) and supports TCP,
 *           TLS, and UDP.</p>
 *             </li>
 *             <li>
 *                <p>Gateway Load Balancer - Operates at the network layer (layer 3).</p>
 *             </li>
 *          </ul>
 *          <p>For more information, see the <a href="https://docs.aws.amazon.com/elasticloadbalancing/latest/userguide/">Elastic Load Balancing User
 *       Guide</a>.</p>
 *          <p>All Elastic Load Balancing operations are idempotent, which means that they complete at
 *       most one time. If you repeat an operation, it succeeds.</p>
 * @public
 */
export declare class ElasticLoadBalancingV2Client extends __Client<__HttpHandlerOptions, ServiceInputTypes, ServiceOutputTypes, ElasticLoadBalancingV2ClientResolvedConfig> {
    /**
     * The resolved configuration of ElasticLoadBalancingV2Client class. This is resolved and normalized from the {@link ElasticLoadBalancingV2ClientConfig | constructor configuration interface}.
     */
    readonly config: ElasticLoadBalancingV2ClientResolvedConfig;
    constructor(...[configuration]: __CheckOptionalClientConfig<ElasticLoadBalancingV2ClientConfig>);
    /**
     * Destroy underlying resources, like sockets. It's usually not necessary to do this.
     * However in Node.js, it's best to explicitly shut down the client's agent when it is no longer needed.
     * Otherwise, sockets might stay open for quite a long time before the server terminates them.
     */
    destroy(): void;
}
