import { HttpRequest as __HttpRequest, HttpResponse as __HttpResponse } from "@smithy/protocol-http";
import { SerdeContext as __SerdeContext } from "@smithy/types";
import { AddListenerCertificatesCommandInput, AddListenerCertificatesCommandOutput } from "../commands/AddListenerCertificatesCommand";
import { AddTagsCommandInput, AddTagsCommandOutput } from "../commands/AddTagsCommand";
import { AddTrustStoreRevocationsCommandInput, AddTrustStoreRevocationsCommandOutput } from "../commands/AddTrustStoreRevocationsCommand";
import { CreateListenerCommandInput, CreateListenerCommandOutput } from "../commands/CreateListenerCommand";
import { CreateLoadBalancerCommandInput, CreateLoadBalancerCommandOutput } from "../commands/CreateLoadBalancerCommand";
import { CreateRuleCommandInput, CreateRuleCommandOutput } from "../commands/CreateRuleCommand";
import { CreateTargetGroupCommandInput, CreateTargetGroupCommandOutput } from "../commands/CreateTargetGroupCommand";
import { CreateTrustStoreCommandInput, CreateTrustStoreCommandOutput } from "../commands/CreateTrustStoreCommand";
import { DeleteListenerCommandInput, DeleteListenerCommandOutput } from "../commands/DeleteListenerCommand";
import { DeleteLoadBalancerCommandInput, DeleteLoadBalancerCommandOutput } from "../commands/DeleteLoadBalancerCommand";
import { DeleteRuleCommandInput, DeleteRuleCommandOutput } from "../commands/DeleteRuleCommand";
import { DeleteSharedTrustStoreAssociationCommandInput, DeleteSharedTrustStoreAssociationCommandOutput } from "../commands/DeleteSharedTrustStoreAssociationCommand";
import { DeleteTargetGroupCommandInput, DeleteTargetGroupCommandOutput } from "../commands/DeleteTargetGroupCommand";
import { DeleteTrustStoreCommandInput, DeleteTrustStoreCommandOutput } from "../commands/DeleteTrustStoreCommand";
import { DeregisterTargetsCommandInput, DeregisterTargetsCommandOutput } from "../commands/DeregisterTargetsCommand";
import { DescribeAccountLimitsCommandInput, DescribeAccountLimitsCommandOutput } from "../commands/DescribeAccountLimitsCommand";
import { DescribeCapacityReservationCommandInput, DescribeCapacityReservationCommandOutput } from "../commands/DescribeCapacityReservationCommand";
import { DescribeListenerAttributesCommandInput, DescribeListenerAttributesCommandOutput } from "../commands/DescribeListenerAttributesCommand";
import { DescribeListenerCertificatesCommandInput, DescribeListenerCertificatesCommandOutput } from "../commands/DescribeListenerCertificatesCommand";
import { DescribeListenersCommandInput, DescribeListenersCommandOutput } from "../commands/DescribeListenersCommand";
import { DescribeLoadBalancerAttributesCommandInput, DescribeLoadBalancerAttributesCommandOutput } from "../commands/DescribeLoadBalancerAttributesCommand";
import { DescribeLoadBalancersCommandInput, DescribeLoadBalancersCommandOutput } from "../commands/DescribeLoadBalancersCommand";
import { DescribeRulesCommandInput, DescribeRulesCommandOutput } from "../commands/DescribeRulesCommand";
import { DescribeSSLPoliciesCommandInput, DescribeSSLPoliciesCommandOutput } from "../commands/DescribeSSLPoliciesCommand";
import { DescribeTagsCommandInput, DescribeTagsCommandOutput } from "../commands/DescribeTagsCommand";
import { DescribeTargetGroupAttributesCommandInput, DescribeTargetGroupAttributesCommandOutput } from "../commands/DescribeTargetGroupAttributesCommand";
import { DescribeTargetGroupsCommandInput, DescribeTargetGroupsCommandOutput } from "../commands/DescribeTargetGroupsCommand";
import { DescribeTargetHealthCommandInput, DescribeTargetHealthCommandOutput } from "../commands/DescribeTargetHealthCommand";
import { DescribeTrustStoreAssociationsCommandInput, DescribeTrustStoreAssociationsCommandOutput } from "../commands/DescribeTrustStoreAssociationsCommand";
import { DescribeTrustStoreRevocationsCommandInput, DescribeTrustStoreRevocationsCommandOutput } from "../commands/DescribeTrustStoreRevocationsCommand";
import { DescribeTrustStoresCommandInput, DescribeTrustStoresCommandOutput } from "../commands/DescribeTrustStoresCommand";
import { GetResourcePolicyCommandInput, GetResourcePolicyCommandOutput } from "../commands/GetResourcePolicyCommand";
import { GetTrustStoreCaCertificatesBundleCommandInput, GetTrustStoreCaCertificatesBundleCommandOutput } from "../commands/GetTrustStoreCaCertificatesBundleCommand";
import { GetTrustStoreRevocationContentCommandInput, GetTrustStoreRevocationContentCommandOutput } from "../commands/GetTrustStoreRevocationContentCommand";
import { ModifyCapacityReservationCommandInput, ModifyCapacityReservationCommandOutput } from "../commands/ModifyCapacityReservationCommand";
import { ModifyIpPoolsCommandInput, ModifyIpPoolsCommandOutput } from "../commands/ModifyIpPoolsCommand";
import { ModifyListenerAttributesCommandInput, ModifyListenerAttributesCommandOutput } from "../commands/ModifyListenerAttributesCommand";
import { ModifyListenerCommandInput, ModifyListenerCommandOutput } from "../commands/ModifyListenerCommand";
import { ModifyLoadBalancerAttributesCommandInput, ModifyLoadBalancerAttributesCommandOutput } from "../commands/ModifyLoadBalancerAttributesCommand";
import { ModifyRuleCommandInput, ModifyRuleCommandOutput } from "../commands/ModifyRuleCommand";
import { ModifyTargetGroupAttributesCommandInput, ModifyTargetGroupAttributesCommandOutput } from "../commands/ModifyTargetGroupAttributesCommand";
import { ModifyTargetGroupCommandInput, ModifyTargetGroupCommandOutput } from "../commands/ModifyTargetGroupCommand";
import { ModifyTrustStoreCommandInput, ModifyTrustStoreCommandOutput } from "../commands/ModifyTrustStoreCommand";
import { RegisterTargetsCommandInput, RegisterTargetsCommandOutput } from "../commands/RegisterTargetsCommand";
import { RemoveListenerCertificatesCommandInput, RemoveListenerCertificatesCommandOutput } from "../commands/RemoveListenerCertificatesCommand";
import { RemoveTagsCommandInput, RemoveTagsCommandOutput } from "../commands/RemoveTagsCommand";
import { RemoveTrustStoreRevocationsCommandInput, RemoveTrustStoreRevocationsCommandOutput } from "../commands/RemoveTrustStoreRevocationsCommand";
import { SetIpAddressTypeCommandInput, SetIpAddressTypeCommandOutput } from "../commands/SetIpAddressTypeCommand";
import { SetRulePrioritiesCommandInput, SetRulePrioritiesCommandOutput } from "../commands/SetRulePrioritiesCommand";
import { SetSecurityGroupsCommandInput, SetSecurityGroupsCommandOutput } from "../commands/SetSecurityGroupsCommand";
import { SetSubnetsCommandInput, SetSubnetsCommandOutput } from "../commands/SetSubnetsCommand";
/**
 * serializeAws_queryAddListenerCertificatesCommand
 */
export declare const se_AddListenerCertificatesCommand: (input: AddListenerCertificatesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryAddTagsCommand
 */
export declare const se_AddTagsCommand: (input: AddTagsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryAddTrustStoreRevocationsCommand
 */
export declare const se_AddTrustStoreRevocationsCommand: (input: AddTrustStoreRevocationsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryCreateListenerCommand
 */
export declare const se_CreateListenerCommand: (input: CreateListenerCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryCreateLoadBalancerCommand
 */
export declare const se_CreateLoadBalancerCommand: (input: CreateLoadBalancerCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryCreateRuleCommand
 */
export declare const se_CreateRuleCommand: (input: CreateRuleCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryCreateTargetGroupCommand
 */
export declare const se_CreateTargetGroupCommand: (input: CreateTargetGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryCreateTrustStoreCommand
 */
export declare const se_CreateTrustStoreCommand: (input: CreateTrustStoreCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryDeleteListenerCommand
 */
export declare const se_DeleteListenerCommand: (input: DeleteListenerCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryDeleteLoadBalancerCommand
 */
export declare const se_DeleteLoadBalancerCommand: (input: DeleteLoadBalancerCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryDeleteRuleCommand
 */
export declare const se_DeleteRuleCommand: (input: DeleteRuleCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryDeleteSharedTrustStoreAssociationCommand
 */
export declare const se_DeleteSharedTrustStoreAssociationCommand: (input: DeleteSharedTrustStoreAssociationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryDeleteTargetGroupCommand
 */
export declare const se_DeleteTargetGroupCommand: (input: DeleteTargetGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryDeleteTrustStoreCommand
 */
export declare const se_DeleteTrustStoreCommand: (input: DeleteTrustStoreCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryDeregisterTargetsCommand
 */
export declare const se_DeregisterTargetsCommand: (input: DeregisterTargetsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryDescribeAccountLimitsCommand
 */
export declare const se_DescribeAccountLimitsCommand: (input: DescribeAccountLimitsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryDescribeCapacityReservationCommand
 */
export declare const se_DescribeCapacityReservationCommand: (input: DescribeCapacityReservationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryDescribeListenerAttributesCommand
 */
export declare const se_DescribeListenerAttributesCommand: (input: DescribeListenerAttributesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryDescribeListenerCertificatesCommand
 */
export declare const se_DescribeListenerCertificatesCommand: (input: DescribeListenerCertificatesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryDescribeListenersCommand
 */
export declare const se_DescribeListenersCommand: (input: DescribeListenersCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryDescribeLoadBalancerAttributesCommand
 */
export declare const se_DescribeLoadBalancerAttributesCommand: (input: DescribeLoadBalancerAttributesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryDescribeLoadBalancersCommand
 */
export declare const se_DescribeLoadBalancersCommand: (input: DescribeLoadBalancersCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryDescribeRulesCommand
 */
export declare const se_DescribeRulesCommand: (input: DescribeRulesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryDescribeSSLPoliciesCommand
 */
export declare const se_DescribeSSLPoliciesCommand: (input: DescribeSSLPoliciesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryDescribeTagsCommand
 */
export declare const se_DescribeTagsCommand: (input: DescribeTagsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryDescribeTargetGroupAttributesCommand
 */
export declare const se_DescribeTargetGroupAttributesCommand: (input: DescribeTargetGroupAttributesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryDescribeTargetGroupsCommand
 */
export declare const se_DescribeTargetGroupsCommand: (input: DescribeTargetGroupsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryDescribeTargetHealthCommand
 */
export declare const se_DescribeTargetHealthCommand: (input: DescribeTargetHealthCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryDescribeTrustStoreAssociationsCommand
 */
export declare const se_DescribeTrustStoreAssociationsCommand: (input: DescribeTrustStoreAssociationsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryDescribeTrustStoreRevocationsCommand
 */
export declare const se_DescribeTrustStoreRevocationsCommand: (input: DescribeTrustStoreRevocationsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryDescribeTrustStoresCommand
 */
export declare const se_DescribeTrustStoresCommand: (input: DescribeTrustStoresCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryGetResourcePolicyCommand
 */
export declare const se_GetResourcePolicyCommand: (input: GetResourcePolicyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryGetTrustStoreCaCertificatesBundleCommand
 */
export declare const se_GetTrustStoreCaCertificatesBundleCommand: (input: GetTrustStoreCaCertificatesBundleCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryGetTrustStoreRevocationContentCommand
 */
export declare const se_GetTrustStoreRevocationContentCommand: (input: GetTrustStoreRevocationContentCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryModifyCapacityReservationCommand
 */
export declare const se_ModifyCapacityReservationCommand: (input: ModifyCapacityReservationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryModifyIpPoolsCommand
 */
export declare const se_ModifyIpPoolsCommand: (input: ModifyIpPoolsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryModifyListenerCommand
 */
export declare const se_ModifyListenerCommand: (input: ModifyListenerCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryModifyListenerAttributesCommand
 */
export declare const se_ModifyListenerAttributesCommand: (input: ModifyListenerAttributesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryModifyLoadBalancerAttributesCommand
 */
export declare const se_ModifyLoadBalancerAttributesCommand: (input: ModifyLoadBalancerAttributesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryModifyRuleCommand
 */
export declare const se_ModifyRuleCommand: (input: ModifyRuleCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryModifyTargetGroupCommand
 */
export declare const se_ModifyTargetGroupCommand: (input: ModifyTargetGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryModifyTargetGroupAttributesCommand
 */
export declare const se_ModifyTargetGroupAttributesCommand: (input: ModifyTargetGroupAttributesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryModifyTrustStoreCommand
 */
export declare const se_ModifyTrustStoreCommand: (input: ModifyTrustStoreCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryRegisterTargetsCommand
 */
export declare const se_RegisterTargetsCommand: (input: RegisterTargetsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryRemoveListenerCertificatesCommand
 */
export declare const se_RemoveListenerCertificatesCommand: (input: RemoveListenerCertificatesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryRemoveTagsCommand
 */
export declare const se_RemoveTagsCommand: (input: RemoveTagsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryRemoveTrustStoreRevocationsCommand
 */
export declare const se_RemoveTrustStoreRevocationsCommand: (input: RemoveTrustStoreRevocationsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_querySetIpAddressTypeCommand
 */
export declare const se_SetIpAddressTypeCommand: (input: SetIpAddressTypeCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_querySetRulePrioritiesCommand
 */
export declare const se_SetRulePrioritiesCommand: (input: SetRulePrioritiesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_querySetSecurityGroupsCommand
 */
export declare const se_SetSecurityGroupsCommand: (input: SetSecurityGroupsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_querySetSubnetsCommand
 */
export declare const se_SetSubnetsCommand: (input: SetSubnetsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * deserializeAws_queryAddListenerCertificatesCommand
 */
export declare const de_AddListenerCertificatesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<AddListenerCertificatesCommandOutput>;
/**
 * deserializeAws_queryAddTagsCommand
 */
export declare const de_AddTagsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<AddTagsCommandOutput>;
/**
 * deserializeAws_queryAddTrustStoreRevocationsCommand
 */
export declare const de_AddTrustStoreRevocationsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<AddTrustStoreRevocationsCommandOutput>;
/**
 * deserializeAws_queryCreateListenerCommand
 */
export declare const de_CreateListenerCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateListenerCommandOutput>;
/**
 * deserializeAws_queryCreateLoadBalancerCommand
 */
export declare const de_CreateLoadBalancerCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateLoadBalancerCommandOutput>;
/**
 * deserializeAws_queryCreateRuleCommand
 */
export declare const de_CreateRuleCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateRuleCommandOutput>;
/**
 * deserializeAws_queryCreateTargetGroupCommand
 */
export declare const de_CreateTargetGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateTargetGroupCommandOutput>;
/**
 * deserializeAws_queryCreateTrustStoreCommand
 */
export declare const de_CreateTrustStoreCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateTrustStoreCommandOutput>;
/**
 * deserializeAws_queryDeleteListenerCommand
 */
export declare const de_DeleteListenerCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteListenerCommandOutput>;
/**
 * deserializeAws_queryDeleteLoadBalancerCommand
 */
export declare const de_DeleteLoadBalancerCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteLoadBalancerCommandOutput>;
/**
 * deserializeAws_queryDeleteRuleCommand
 */
export declare const de_DeleteRuleCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteRuleCommandOutput>;
/**
 * deserializeAws_queryDeleteSharedTrustStoreAssociationCommand
 */
export declare const de_DeleteSharedTrustStoreAssociationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteSharedTrustStoreAssociationCommandOutput>;
/**
 * deserializeAws_queryDeleteTargetGroupCommand
 */
export declare const de_DeleteTargetGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteTargetGroupCommandOutput>;
/**
 * deserializeAws_queryDeleteTrustStoreCommand
 */
export declare const de_DeleteTrustStoreCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteTrustStoreCommandOutput>;
/**
 * deserializeAws_queryDeregisterTargetsCommand
 */
export declare const de_DeregisterTargetsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeregisterTargetsCommandOutput>;
/**
 * deserializeAws_queryDescribeAccountLimitsCommand
 */
export declare const de_DescribeAccountLimitsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeAccountLimitsCommandOutput>;
/**
 * deserializeAws_queryDescribeCapacityReservationCommand
 */
export declare const de_DescribeCapacityReservationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeCapacityReservationCommandOutput>;
/**
 * deserializeAws_queryDescribeListenerAttributesCommand
 */
export declare const de_DescribeListenerAttributesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeListenerAttributesCommandOutput>;
/**
 * deserializeAws_queryDescribeListenerCertificatesCommand
 */
export declare const de_DescribeListenerCertificatesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeListenerCertificatesCommandOutput>;
/**
 * deserializeAws_queryDescribeListenersCommand
 */
export declare const de_DescribeListenersCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeListenersCommandOutput>;
/**
 * deserializeAws_queryDescribeLoadBalancerAttributesCommand
 */
export declare const de_DescribeLoadBalancerAttributesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeLoadBalancerAttributesCommandOutput>;
/**
 * deserializeAws_queryDescribeLoadBalancersCommand
 */
export declare const de_DescribeLoadBalancersCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeLoadBalancersCommandOutput>;
/**
 * deserializeAws_queryDescribeRulesCommand
 */
export declare const de_DescribeRulesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeRulesCommandOutput>;
/**
 * deserializeAws_queryDescribeSSLPoliciesCommand
 */
export declare const de_DescribeSSLPoliciesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeSSLPoliciesCommandOutput>;
/**
 * deserializeAws_queryDescribeTagsCommand
 */
export declare const de_DescribeTagsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeTagsCommandOutput>;
/**
 * deserializeAws_queryDescribeTargetGroupAttributesCommand
 */
export declare const de_DescribeTargetGroupAttributesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeTargetGroupAttributesCommandOutput>;
/**
 * deserializeAws_queryDescribeTargetGroupsCommand
 */
export declare const de_DescribeTargetGroupsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeTargetGroupsCommandOutput>;
/**
 * deserializeAws_queryDescribeTargetHealthCommand
 */
export declare const de_DescribeTargetHealthCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeTargetHealthCommandOutput>;
/**
 * deserializeAws_queryDescribeTrustStoreAssociationsCommand
 */
export declare const de_DescribeTrustStoreAssociationsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeTrustStoreAssociationsCommandOutput>;
/**
 * deserializeAws_queryDescribeTrustStoreRevocationsCommand
 */
export declare const de_DescribeTrustStoreRevocationsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeTrustStoreRevocationsCommandOutput>;
/**
 * deserializeAws_queryDescribeTrustStoresCommand
 */
export declare const de_DescribeTrustStoresCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeTrustStoresCommandOutput>;
/**
 * deserializeAws_queryGetResourcePolicyCommand
 */
export declare const de_GetResourcePolicyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetResourcePolicyCommandOutput>;
/**
 * deserializeAws_queryGetTrustStoreCaCertificatesBundleCommand
 */
export declare const de_GetTrustStoreCaCertificatesBundleCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetTrustStoreCaCertificatesBundleCommandOutput>;
/**
 * deserializeAws_queryGetTrustStoreRevocationContentCommand
 */
export declare const de_GetTrustStoreRevocationContentCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetTrustStoreRevocationContentCommandOutput>;
/**
 * deserializeAws_queryModifyCapacityReservationCommand
 */
export declare const de_ModifyCapacityReservationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ModifyCapacityReservationCommandOutput>;
/**
 * deserializeAws_queryModifyIpPoolsCommand
 */
export declare const de_ModifyIpPoolsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ModifyIpPoolsCommandOutput>;
/**
 * deserializeAws_queryModifyListenerCommand
 */
export declare const de_ModifyListenerCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ModifyListenerCommandOutput>;
/**
 * deserializeAws_queryModifyListenerAttributesCommand
 */
export declare const de_ModifyListenerAttributesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ModifyListenerAttributesCommandOutput>;
/**
 * deserializeAws_queryModifyLoadBalancerAttributesCommand
 */
export declare const de_ModifyLoadBalancerAttributesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ModifyLoadBalancerAttributesCommandOutput>;
/**
 * deserializeAws_queryModifyRuleCommand
 */
export declare const de_ModifyRuleCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ModifyRuleCommandOutput>;
/**
 * deserializeAws_queryModifyTargetGroupCommand
 */
export declare const de_ModifyTargetGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ModifyTargetGroupCommandOutput>;
/**
 * deserializeAws_queryModifyTargetGroupAttributesCommand
 */
export declare const de_ModifyTargetGroupAttributesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ModifyTargetGroupAttributesCommandOutput>;
/**
 * deserializeAws_queryModifyTrustStoreCommand
 */
export declare const de_ModifyTrustStoreCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ModifyTrustStoreCommandOutput>;
/**
 * deserializeAws_queryRegisterTargetsCommand
 */
export declare const de_RegisterTargetsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<RegisterTargetsCommandOutput>;
/**
 * deserializeAws_queryRemoveListenerCertificatesCommand
 */
export declare const de_RemoveListenerCertificatesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<RemoveListenerCertificatesCommandOutput>;
/**
 * deserializeAws_queryRemoveTagsCommand
 */
export declare const de_RemoveTagsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<RemoveTagsCommandOutput>;
/**
 * deserializeAws_queryRemoveTrustStoreRevocationsCommand
 */
export declare const de_RemoveTrustStoreRevocationsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<RemoveTrustStoreRevocationsCommandOutput>;
/**
 * deserializeAws_querySetIpAddressTypeCommand
 */
export declare const de_SetIpAddressTypeCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<SetIpAddressTypeCommandOutput>;
/**
 * deserializeAws_querySetRulePrioritiesCommand
 */
export declare const de_SetRulePrioritiesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<SetRulePrioritiesCommandOutput>;
/**
 * deserializeAws_querySetSecurityGroupsCommand
 */
export declare const de_SetSecurityGroupsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<SetSecurityGroupsCommandOutput>;
/**
 * deserializeAws_querySetSubnetsCommand
 */
export declare const de_SetSubnetsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<SetSubnetsCommandOutput>;
