import {
  AwsSdkSigV4AuthInputConfig,
  AwsSdkSigV4AuthResolvedConfig,
  AwsSdkSigV4PreviouslyResolved,
} from "@aws-sdk/core";
import {
  HandlerExecutionContext,
  HttpAuthScheme,
  HttpAuthSchemeParameters,
  HttpAuthSchemeParametersProvider,
  HttpAuthSchemeProvider,
  Provider,
} from "@smithy/types";
import { ElasticLoadBalancingV2ClientResolvedConfig } from "../ElasticLoadBalancingV2Client";
export interface ElasticLoadBalancingV2HttpAuthSchemeParameters
  extends HttpAuthSchemeParameters {
  region?: string;
}
export interface ElasticLoadBalancingV2HttpAuthSchemeParametersProvider
  extends HttpAuthSchemeParametersProvider<
    ElasticLoadBalancingV2ClientResolvedConfig,
    HandlerExecutionContext,
    ElasticLoadBalancingV2HttpAuthSchemeParameters,
    object
  > {}
export declare const defaultElasticLoadBalancingV2HttpAuthSchemeParametersProvider: (
  config: ElasticLoadBalancingV2ClientResolvedConfig,
  context: HandlerExecutionContext,
  input: object
) => Promise<ElasticLoadBalancingV2HttpAuthSchemeParameters>;
export interface ElasticLoadBalancingV2HttpAuthSchemeProvider
  extends HttpAuthSchemeProvider<ElasticLoadBalancingV2HttpAuthSchemeParameters> {}
export declare const defaultElasticLoadBalancingV2HttpAuthSchemeProvider: ElasticLoadBalancingV2HttpAuthSchemeProvider;
export interface HttpAuthSchemeInputConfig extends AwsSdkSigV4AuthInputConfig {
  authSchemePreference?: string[] | Provider<string[]>;
  httpAuthSchemes?: HttpAuthScheme[];
  httpAuthSchemeProvider?: ElasticLoadBalancingV2HttpAuthSchemeProvider;
}
export interface HttpAuthSchemeResolvedConfig
  extends AwsSdkSigV4AuthResolvedConfig {
  readonly authSchemePreference: Provider<string[]>;
  readonly httpAuthSchemes: HttpAuthScheme[];
  readonly httpAuthSchemeProvider: ElasticLoadBalancingV2HttpAuthSchemeProvider;
}
export declare const resolveHttpAuthSchemeConfig: <T>(
  config: T & HttpAuthSchemeInputConfig & AwsSdkSigV4PreviouslyResolved
) => T & HttpAuthSchemeResolvedConfig;
